com.aliyun.svideosdk.editor

## Interface AliyunIBaseCompose

- All Known Subinterfaces:
    AliyunICompose, AliyunIVodCompose

      public interface AliyunIBaseCompose

  单独的阿里云短视频后台合成接口,后台合成是指开发者不需要依赖编辑界面，其他页面做合成操作不必影响用户操作

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cancelCompose()` 取消合成
    `int` | `compose(java.lang.String config, java.lang.String output, AliyunIComposeCallBack callback)` 合成
    `int` | `init(Context context)` 初始化
    `int` | `pauseCompose()` 暂停合成
    `void` | `release()` 释放资源
    `int` | `resumeCompose()` 继续合成
    `void` | `setRenderCallback(AliyunIRenderCallback callback)` 设置渲染回调, 先于compose调用才生效

- - ### Method Detail

    - #### init

          int init(Context context)

      初始化
      Parameters:
        `context` - 上下文

    - #### compose

          int compose(java.lang.String config,
                      java.lang.String output,
                      AliyunIComposeCallBack callback)

      合成
      Parameters:
        `config` - 包含编辑信息的project.json文件 * 可能获取的渠道`AliyunIImport.generateProjectConfigure()`,`AliyunIRecorder.finishRecordingForEdit()`，经过`AliyunIEditor`编辑之后的文件路径不变，依然是上述两个接口返回的那个json文件
        `output` - 合成视频的输出路径
        `callback` -
      Returns:
        `AliyunErrorCode.OK`-接口调用成功 `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`-未初始化、正在合成、正在取消等状态不对 `AliyunErrorCode.ERROR_PARAM_INVALID_COMPOSE`-config为空、output为空、json文件解析失败

    - #### pauseCompose

          int pauseCompose()

      暂停合成
      Returns:
        `AliyunErrorCode.OK`-接口调用成功 `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_PAUSE_ERROR` `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`-状态错误，当前状态并非正在合成

    - #### resumeCompose

          int resumeCompose()

      继续合成
      Returns:
        `AliyunErrorCode.OK`-接口调用成功 `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_START_ERROR` `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`-状态错误，当前状态并非正在合成

    - #### cancelCompose

          int cancelCompose()

      取消合成
      Returns:
        `AliyunErrorCode.OK`-接口调用成功 `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`-状态错误，当前状态并非正在合成

    - #### release

          void release()

      释放资源

    - #### setRenderCallback

          void setRenderCallback(AliyunIRenderCallback callback)

      设置渲染回调, 先于compose调用才生效